Skip to content

Instantly share code, notes, and snippets.

@rffontenelle
Created April 25, 2016 19:35
Show Gist options
  • Save rffontenelle/b5855fa648aa7cdaf9bc1424b584ae9e to your computer and use it in GitHub Desktop.
Save rffontenelle/b5855fa648aa7cdaf9bc1424b584ae9e to your computer and use it in GitHub Desktop.
Log output of failure on building
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking target system type... x86_64-unknown-linux-gnu
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
/home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/missing: Unknown `--is-lightweight' option
Try `/home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/missing --help' for more information
configure: WARNING: 'missing' script is too old or missing
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether UID '1000' is supported by ustar format... yes
checking whether GID '1000' is supported by ustar format... yes
checking how to create a ustar tar archive... gnutar
checking for style of include used by make... GNU
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking whether gcc understands -c and -o together... yes
checking dependency style of gcc... gcc3
checking for ar... ar
checking the archiver (ar) interface... ar
checking how to print strings... printf
checking for a sed that does not truncate output... /usr/bin/sed
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for fgrep... /usr/bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... yes
checking how to convert x86_64-unknown-linux-gnu file names to x86_64-unknown-linux-gnu format... func_convert_file_noop
checking how to convert x86_64-unknown-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for archiver @FILE support... @
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for mt... no
checking if : is a manifest tool... no
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking whether make supports nested variables... (cached) yes
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ISO C89... (cached) none needed
checking whether gcc understands -c and -o together... (cached) yes
checking dependency style of gcc... (cached) gcc3
checking how to run the C preprocessor... gcc -E
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking dependency style of g++... gcc3
checking how to run the C++ preprocessor... g++ -E
checking for ld used by g++... /usr/bin/ld -m elf_x86_64
checking if the linker (/usr/bin/ld -m elf_x86_64) is GNU ld... yes
checking whether the g++ linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes
checking for g++ option to produce PIC... -fPIC -DPIC
checking if g++ PIC flag -fPIC -DPIC works... yes
checking if g++ static flag -static works... yes
checking if g++ supports -c -o file.o... yes
checking if g++ supports -c -o file.o... (cached) yes
checking whether the g++ linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes
checking dynamic linker characteristics... (cached) GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether ln -s works... yes
checking for a sed that does not truncate output... (cached) /usr/bin/sed
checking dependency style of gcc... gcc3
checking whether NLS is requested... yes
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/^(.*)\${ <-- HERE ?([A-Z_]+)}?(.*)$/ at /usr/bin/intltool-update line 1065.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\${ <-- HERE ?AC_PACKAGE_NAME}?/ at /usr/bin/intltool-update line 1193.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\${ <-- HERE ?PACKAGE}?/ at /usr/bin/intltool-update line 1194.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\${ <-- HERE ?AC_PACKAGE_VERSION}?/ at /usr/bin/intltool-update line 1195.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\${ <-- HERE ?VERSION}?/ at /usr/bin/intltool-update line 1196.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\${ <-- HERE ?AC_PACKAGE_NAME}?/ at /usr/bin/intltool-update line 1222.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\${ <-- HERE ?PACKAGE}?/ at /usr/bin/intltool-update line 1223.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\${ <-- HERE ?AC_PACKAGE_VERSION}?/ at /usr/bin/intltool-update line 1224.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\${ <-- HERE ?VERSION}?/ at /usr/bin/intltool-update line 1225.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\${ <-- HERE ?\w+}?/ at /usr/bin/intltool-update line 1226.
checking for intltool-update... /usr/bin/intltool-update
checking for intltool-merge... /usr/bin/intltool-merge
checking for intltool-extract... /usr/bin/intltool-extract
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/msgfmt
checking for perl... /usr/bin/perl
checking for perl >= 5.8.1... 5.22.1
checking for XML::Parser... ok
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for msgfmt... (cached) /usr/bin/msgfmt
checking for gmsgfmt... (cached) /usr/bin/msgfmt
checking for xgettext... (cached) /usr/bin/xgettext
checking for msgmerge... (cached) /usr/bin/msgmerge
checking for ld used by GCC... /usr/bin/ld -m elf_x86_64
checking if the linker (/usr/bin/ld -m elf_x86_64) is GNU ld... yes
checking for shared library run path origin... done
checking whether NLS is requested... yes
checking for GNU gettext in libc... yes
checking whether to use NLS... yes
checking where the gettext function comes from... libc
checking if this is a development or release build... release
checking whether to enable runtime debugging code... no
checking whether to disable deprecated glib/gtk+/gst/etc. features... yes
checking whether to enable coverage analysis... yes
checking for bcov... no
checking for lcov... no
checking for valgrind... /usr/bin/valgrind
checking for Xvfb... /usr/bin/Xvfb
checking where to install desktop files... /usr/share/
checking features.h usability... yes
checking features.h presence... yes
checking for features.h... yes
checking whether to include the emulation for buzzmachine dlls... no
checking for BASE_DEPS... yes
checking for GUI_DEPS... yes
checking for ALSA_DEPS... yes
checking for GUDEV_DEPS... yes
checking for GSF_DEPS... yes
checking for pkg-config... (cached) /usr/bin/pkg-config
checking pkg-config is at least version 0.16... yes
checking for GOBJECT_INTROSPECTION... yes
checking for gst_direct_control_binding_new_absolute in -lgstcontroller-1.0... yes
checking for CHECK... no
checking for ORC... yes
checking for FLUIDSYNTH... yes
checking for gtk-doc... yes
checking for gtkdoc-check... gtkdoc-check.test
checking for gtkdoc-check... /usr/bin/gtkdoc-check
checking for gtkdoc-rebase... /usr/bin/gtkdoc-rebase
checking for gtkdoc-mkpdf... /usr/bin/gtkdoc-mkpdf
checking whether to build gtk-doc documentation... yes
checking for GTKDOC_DEPS... yes
checking for xsltproc... /usr/bin/xsltproc
checking for scrollkeeper-config... /usr/bin/scrollkeeper-config
checking for aspell... aspell
checking for ANSI C header files... (cached) yes
checking alloca.h usability... yes
checking alloca.h presence... yes
checking for alloca.h... yes
checking assert.h usability... yes
checking assert.h presence... yes
checking for assert.h... yes
checking dirent.h usability... yes
checking dirent.h presence... yes
checking for dirent.h... yes
checking kstat.h usability... no
checking kstat.h presence... no
checking for kstat.h... no
checking malloc.h usability... yes
checking malloc.h presence... yes
checking for malloc.h... yes
checking sys/mman.h usability... yes
checking sys/mman.h presence... yes
checking for sys/mman.h... yes
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking sys/times.h usability... yes
checking sys/times.h presence... yes
checking for sys/times.h... yes
checking X11/Xlocale.h usability... yes
checking X11/Xlocale.h presence... yes
checking for X11/Xlocale.h... yes
checking linux/input.h usability... yes
checking linux/input.h presence... yes
checking for linux/input.h... yes
checking whether sysi86 is declared... no
checking xmmintrin.h usability... yes
checking xmmintrin.h presence... yes
checking for xmmintrin.h... yes
checking for cos in -lm... yes
checking for the pthreads library -lpthreads... no
checking whether pthreads work without any flags... no
checking whether pthreads work with -Kthread... no
checking whether pthreads work with -kthread... no
checking for the pthreads library -llthread... no
checking whether pthreads work with -pthread... yes
checking for joinable pthread attribute... PTHREAD_CREATE_JOINABLE
checking if more special flags are required for pthreads... no
checking whether to check for GCC pthread/shared inconsistencies... yes
checking whether -pthread is sufficient with -shared... yes
checking for main in -lrt... yes
checking for sched_setscheduler... yes
checking for mlockall... yes
checking for getrusage... yes
checking for setrlimit... yes
checking for vsscanf... yes
checking for clock_gettime... yes
checking for dlopen... no
checking for dlopen in -ldl... yes
checking for -Bsymbolic-functions linker flag... yes
checking for update-mime-database... /usr/bin/update-mime-database
checking for update-desktop-database... /usr/bin/update-desktop-database
checking for gtk-update-icon-cache-3.0... no
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating docs/version.entities
config.status: creating docs/help/bt-edit/Makefile
config.status: creating docs/help/bt-edit/C/Makefile
config.status: creating docs/help/bt-edit/C/buzztrax-edit-C.omf
config.status: creating docs/reference/bt-cmd/Makefile
config.status: creating docs/reference/bt-core/Makefile
config.status: creating docs/reference/bt-core/buzztrax-core.types
config.status: creating docs/reference/bt-edit/Makefile
config.status: creating docs/reference/bt-gst/Makefile
config.status: creating docs/reference/bt-ic/Makefile
config.status: creating docs/reference/bt-ic/buzztrax-ic.types
config.status: creating docs/reference/bt-ic/buzztrax-ic-sections.txt
config.status: creating po/Makefile.in
config.status: creating src/lib/buzztrax.xml
config.status: creating src/lib/bml/libbml.pc
config.status: creating src/lib/core/libbuzztrax-core.pc
config.status: creating src/lib/core/version.h
config.status: creating src/lib/gst/libbuzztrax-gst.pc
config.status: creating src/lib/ic/libbuzztrax-ic.pc
config.status: creating src/lib/ic/version.h
config.status: creating tests/bt-cfg.sh
config.status: creating tests/lib/core/songio/bsl/bt-cfg.sh
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing libtool commands
config.status: executing default-1 commands
config.status: creating po/POTFILES
config.status: creating po/Makefile
config.status: executing po/stamp-it commands
Configuration
Version : 0.10.2
Source code location : .
Prefix : /usr
Compiler : gcc
Documentation (API) : yes
Documentation (Man) : yes
Documentation (User) : yes
Bindings Metadata (GIR) : yes
Alsa seq. for interaction ctrl. : yes
GUdev for interaction ctrl. : yes
Linux HID for interaction ctrl. : yes
FluidSynth support : yes
Zipped Song file support (bzt) : yes
x86 win32 buzzmachines : no
Debug : no
Coverage profiling : yes
UI tests on Xvfb : yes
Use of deprecated API : yes
Check based unit tests : no
Use valgrind on the tests : yes
configure: *** Orc acceleration enabled.
GEN src/lib/core/marshal.c
GEN src/lib/core/marshal.h
GEN src/ui/edit/marshal.c
GEN src/ui/edit/marshal.h
GEN src/ui/edit/authors.h
ORCC tmp-orc.c
ORCC src/gst/bml/gstbmlorc.h
CC src/lib/core/libbuzztrax_core_la-core.lo
CC src/lib/core/libbuzztrax_core_la-tools.lo
CC src/lib/core/libbuzztrax_core_la-buzzcallbacks.lo
CC src/lib/core/libbuzztrax_core_la-application.lo
CC src/lib/core/libbuzztrax_core_la-audio-session.lo
CC src/lib/core/libbuzztrax_core_la-childproxy.lo
CC src/lib/core/libbuzztrax_core_la-cmd-pattern.lo
CC src/lib/core/libbuzztrax_core_la-machine.lo
CC src/lib/core/libbuzztrax_core_la-parameter-group.lo
CC src/lib/core/libbuzztrax_core_la-pattern.lo
CC src/lib/core/libbuzztrax_core_la-pattern-control-source.lo
CC src/lib/core/libbuzztrax_core_la-persistence.lo
CC src/lib/core/libbuzztrax_core_la-processor-machine.lo
CC src/lib/core/libbuzztrax_core_la-sequence.lo
CC src/lib/core/libbuzztrax_core_la-settings.lo
CC src/lib/core/libbuzztrax_core_la-setup.lo
CC src/lib/core/libbuzztrax_core_la-sink-bin.lo
CC src/lib/core/libbuzztrax_core_la-sink-machine.lo
CC src/lib/core/libbuzztrax_core_la-song.lo
CC src/lib/core/libbuzztrax_core_la-song-info.lo
CC src/lib/core/libbuzztrax_core_la-song-io.lo
CC src/lib/core/libbuzztrax_core_la-song-io-native.lo
CC src/lib/core/libbuzztrax_core_la-song-io-native-bzt.lo
CC src/lib/core/libbuzztrax_core_la-song-io-native-xml.lo
CC src/lib/core/libbuzztrax_core_la-source-machine.lo
CC src/lib/core/libbuzztrax_core_la-value-group.lo
CC src/lib/core/libbuzztrax_core_la-wavetable.lo
CC src/lib/core/libbuzztrax_core_la-wave.lo
CC src/lib/core/libbuzztrax_core_la-wavelevel.lo
CC src/lib/core/libbuzztrax_core_la-wire.lo
CC src/lib/core/libbuzztrax_core_la-marshal.lo
CC src/lib/ic/ic.lo
CC src/lib/ic/registry.lo
CC src/lib/ic/aseq-discoverer.lo
CC src/lib/ic/aseq-device.lo
CC src/lib/ic/gudev-discoverer.lo
CC src/lib/ic/device.lo
CC src/lib/ic/learn.lo
CC src/lib/ic/input-device.lo
CC src/lib/ic/midi-device.lo
CC src/lib/ic/control.lo
CC src/lib/ic/abs-range-control.lo
CC src/lib/ic/trigger-control.lo
CCLD libbuzztrax-ic.la
ar: `u' modifier ignored since `D' is the default (see `U')
CC src/lib/gst/audiosynth.lo
CC src/lib/gst/childbin.lo
CC src/lib/gst/combine.lo
CC src/lib/gst/delay.lo
CC src/lib/gst/envelope.lo
CC src/lib/gst/envelope-adsr.lo
CC src/lib/gst/envelope-ad.lo
CC src/lib/gst/envelope-d.lo
CC src/lib/gst/filter-svf.lo
CC src/lib/gst/musicenums.lo
CC src/lib/gst/osc-synth.lo
CC src/lib/gst/osc-wave.lo
CC src/lib/gst/toneconversion.lo
CC src/lib/gst/propertymeta.lo
CC src/lib/gst/tempo.lo
CCLD libbuzztrax-gst.la
ar: `u' modifier ignored since `D' is the default (see `U')
CCLD libbuzztrax-core.la
ar: `u' modifier ignored since `D' is the default (see `U')
GEN BuzztraxIc-1.1.gir
In file included from /usr/include/limits.h:25:0,
from /usr/lib/gcc/x86_64-unknown-linux-gnu/5.3.0/include-fixed/limits.h:168,
from /usr/lib/gcc/x86_64-unknown-linux-gnu/5.3.0/include-fixed/syslimits.h:7,
from /usr/lib/gcc/x86_64-unknown-linux-gnu/5.3.0/include-fixed/limits.h:34,
from /usr/lib/glib-2.0/include/glibconfig.h:11,
from /usr/include/glib-2.0/glib/gtypes.h:32,
from /usr/include/glib-2.0/glib/galloca.h:32,
from /usr/include/glib-2.0/glib.h:30,
from /home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/src/lib/ic/ic.h:22,
from /tmp/g-ir-cpp-iuncyq5k.c:4:
/usr/include/features.h:331:4: warning: #warning _FORTIFY_SOURCE requires compiling with optimization (-O) [-Wcpp]
# warning _FORTIFY_SOURCE requires compiling with optimization (-O)
^
/home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/tmp-introspectt4n4rf4e/BuzztraxIc-1.1.c: In function 'main':
/home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/tmp-introspectt4n4rf4e/BuzztraxIc-1.1.c:595:3: warning: implicit declaration of function 'btic_init' [-Wimplicit-function-declaration]
btic_init(NULL,NULL);
^
g-ir-scanner: link: ./libtool --mode=link --tag=CC gcc -pthread -o /home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/tmp-introspectt4n4rf4e/BuzztraxIc-1.1 -export-dynamic -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -Wl,-O1,--sort-common,--as-needed,-z,relro tmp-introspectt4n4rf4e/home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/tmp-introspectt4n4rf4e/BuzztraxIc-1.1.o -L. libbuzztrax-ic.la -lgio-2.0 -Wl,--export-dynamic -lgmodule-2.0 -pthread -lgstreamer-1.0 -lgobject-2.0 -lglib-2.0
libtool: link: gcc -pthread -o /home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/tmp-introspectt4n4rf4e/.libs/BuzztraxIc-1.1 -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -Wl,-O1 -Wl,--sort-common -Wl,--as-needed -Wl,-z -Wl,relro tmp-introspectt4n4rf4e/home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/tmp-introspectt4n4rf4e/BuzztraxIc-1.1.o -Wl,--export-dynamic -pthread -Wl,--export-dynamic -L. ./.libs/libbuzztrax-ic.so -lgio-2.0 -lgmodule-2.0 -lgstreamer-1.0 -lgobject-2.0 -lglib-2.0 -pthread
GEN BuzztraxCore-1.1.gir
In file included from /usr/include/limits.h:25:0,
from /usr/lib/gcc/x86_64-unknown-linux-gnu/5.3.0/include-fixed/limits.h:168,
from /usr/lib/gcc/x86_64-unknown-linux-gnu/5.3.0/include-fixed/syslimits.h:7,
from /usr/lib/gcc/x86_64-unknown-linux-gnu/5.3.0/include-fixed/limits.h:34,
from /usr/lib/glib-2.0/include/glibconfig.h:11,
from /usr/include/glib-2.0/glib/gtypes.h:32,
from /usr/include/glib-2.0/glib/galloca.h:32,
from /usr/include/glib-2.0/glib.h:30,
from /home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/src/lib/core/core.h:22,
from /tmp/g-ir-cpp-jgie2_vj.c:4:
/usr/include/features.h:331:4: warning: #warning _FORTIFY_SOURCE requires compiling with optimization (-O) [-Wcpp]
# warning _FORTIFY_SOURCE requires compiling with optimization (-O)
^
/home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/tmp-introspectio6hug09/BuzztraxCore-1.1.c: In function 'main':
/home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/tmp-introspectio6hug09/BuzztraxCore-1.1.c:595:3: warning: implicit declaration of function 'bt_init' [-Wimplicit-function-declaration]
bt_init(NULL,NULL);
^
g-ir-scanner: link: ./libtool --mode=link --tag=CC gcc -pthread -o /home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/tmp-introspectio6hug09/BuzztraxCore-1.1 -export-dynamic -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -Wl,-O1,--sort-common,--as-needed,-z,relro tmp-introspectio6hug09/home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/tmp-introspectio6hug09/BuzztraxCore-1.1.o -L. libbuzztrax-core.la libbuzztrax-gst.la -lgio-2.0 -Wl,--export-dynamic -lgmodule-2.0 -pthread -lxml2 -lgstreamer-1.0 -lgobject-2.0 -lglib-2.0
libtool: link: gcc -pthread -o /home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/tmp-introspectio6hug09/.libs/BuzztraxCore-1.1 -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -Wl,-O1 -Wl,--sort-common -Wl,--as-needed -Wl,-z -Wl,relro tmp-introspectio6hug09/home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/tmp-introspectio6hug09/BuzztraxCore-1.1.o -Wl,--export-dynamic -pthread -Wl,--export-dynamic -L. ./.libs/libbuzztrax-core.so ./.libs/libbuzztrax-gst.so -lgio-2.0 -lgmodule-2.0 -lxml2 -lgstreamer-1.0 -lgobject-2.0 -lglib-2.0 -pthread
src/lib/core/tools.h:157: Warning: BuzztraxCore: symbol='G_OBJECT_REF_COUNT_FMT': Skipping foreign symbol from namespace GObject
src/lib/core/persistence.c:177: Warning: BuzztraxCore: bt_persistence_save: unknown parameter 'parent_node' in documentation comment, should be 'node'
src/lib/core/wavelevel.c:79: Warning: BuzztraxCore: bt_wavelevel_new: argument root_note: Unresolved type: 'GstBtNote'
src/lib/core/persistence.c:181: Warning: BuzztraxCore: bt_persistence_save: return value: Invalid non-constant return of bare structure or union; register as boxed type or (skip)
make all-recursive
make[1]: Entering directory '/home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2'
Making all in po
make[2]: Entering directory '/home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/po'
MSGFMT cs.gmo
MSGFMT da.gmo
MSGFMT de.gmo
MSGFMT fr.gmo
MSGFMT fi.gmo
MSGFMT id.gmo
MSGFMT nl.gmo
MSGFMT nn.gmo
MSGFMT sv.gmo
MSGFMT vi.gmo
MSGFMT zh_CN.gmo
make[2]: Leaving directory '/home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/po'
Making all in docs/help/bt-edit
make[2]: Entering directory '/home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/docs/help/bt-edit'
Making all in C
make[3]: Entering directory '/home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/docs/help/bt-edit/C'
for file in buzztrax-edit-C.omf; do \
scrollkeeper-preinstall /usr/share/gnome/help/buzztrax-edit/C/buzztrax-edit.xml $file $file.out; \
done
touch omf_timestamp
make[3]: Leaving directory '/home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/docs/help/bt-edit/C'
make[3]: Entering directory '/home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/docs/help/bt-edit'
make[3]: Nothing to be done for 'all-am'.
make[3]: Leaving directory '/home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/docs/help/bt-edit'
make[2]: Leaving directory '/home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/docs/help/bt-edit'
make[2]: Entering directory '/home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2'
CC src/lib/bml/libbml_la-bml.lo
CC src/lib/bml/libbml_la-bmllog.lo
CC src/lib/bml/libbml_la-bmlipc.lo
CC src/lib/bml/libbml_la-strpool.lo
CCLD libbml.la
ar: `u' modifier ignored since `D' is the default (see `U')
CC src/ui/cmd/cmd-application.lo
CCLD libbtcmd.la
ar: `u' modifier ignored since `D' is the default (see `U')
CC src/ui/edit/libbtedit_la-about-dialog.lo
CC src/ui/edit/libbtedit_la-change-log.lo
CC src/ui/edit/libbtedit_la-change-logger.lo
CC src/ui/edit/libbtedit_la-crash-recover-dialog.lo
CC src/ui/edit/libbtedit_la-edit-application.lo
CC src/ui/edit/libbtedit_la-interaction-controller-menu.lo
CC src/ui/edit/libbtedit_la-machine-canvas-item.lo
CC src/ui/edit/libbtedit_la-machine-menu.lo
CC src/ui/edit/libbtedit_la-machine-actions.lo
CC src/ui/edit/libbtedit_la-machine-list-model.lo
CC src/ui/edit/libbtedit_la-machine-preset-properties-dialog.lo
CC src/ui/edit/libbtedit_la-machine-properties-dialog.lo
CC src/ui/edit/libbtedit_la-machine-preferences-dialog.lo
CC src/ui/edit/libbtedit_la-machine-rename-dialog.lo
CC src/ui/edit/libbtedit_la-main-window.lo
CC src/ui/edit/libbtedit_la-main-menu.lo
CC src/ui/edit/libbtedit_la-main-toolbar.lo
CC src/ui/edit/libbtedit_la-main-pages.lo
CC src/ui/edit/libbtedit_la-main-page-machines.lo
CC src/ui/edit/libbtedit_la-main-page-patterns.lo
CC src/ui/edit/libbtedit_la-main-page-sequence.lo
CC src/ui/edit/libbtedit_la-main-page-waves.lo
CC src/ui/edit/libbtedit_la-main-page-info.lo
CC src/ui/edit/libbtedit_la-main-statusbar.lo
CC src/ui/edit/libbtedit_la-missing-framework-elements-dialog.lo
CC src/ui/edit/libbtedit_la-missing-song-elements-dialog.lo
CC src/ui/edit/libbtedit_la-object-list-model.lo
CC src/ui/edit/libbtedit_la-panorama-popup.lo
CC src/ui/edit/libbtedit_la-pattern-list-model.lo
CC src/ui/edit/libbtedit_la-pattern-properties-dialog.lo
CC src/ui/edit/libbtedit_la-playback-controller-ic.lo
CC src/ui/edit/libbtedit_la-playback-controller-socket.lo
CC src/ui/edit/libbtedit_la-preset-list-model.lo
CC src/ui/edit/libbtedit_la-render-dialog.lo
CC src/ui/edit/libbtedit_la-sequence-grid-model.lo
CC src/ui/edit/libbtedit_la-sequence-view.lo
CC src/ui/edit/libbtedit_la-settings-dialog.lo
CC src/ui/edit/libbtedit_la-settings-page-audiodevices.lo
CC src/ui/edit/libbtedit_la-settings-page-directories.lo
CC src/ui/edit/libbtedit_la-settings-page-interaction-controller.lo
CC src/ui/edit/libbtedit_la-settings-page-playback-controller.lo
CC src/ui/edit/libbtedit_la-settings-page-shortcuts.lo
CC src/ui/edit/libbtedit_la-settings-page-ui.lo
CC src/ui/edit/libbtedit_la-signal-analysis-dialog.lo
CC src/ui/edit/libbtedit_la-tip-dialog.lo
CC src/ui/edit/libbtedit_la-tools.lo
CC src/ui/edit/libbtedit_la-ui-resources.lo
CC src/ui/edit/libbtedit_la-volume-popup.lo
CC src/ui/edit/libbtedit_la-wave-list-model.lo
CC src/ui/edit/libbtedit_la-waveform-viewer.lo
CC src/ui/edit/libbtedit_la-wavelevel-list-model.lo
CC src/ui/edit/libbtedit_la-wire-canvas-item.lo
CC src/ui/edit/libbtedit_la-pattern-editor.lo
CC src/ui/edit/libbtedit_la-gtkscrolledsyncwindow.lo
CC src/ui/edit/libbtedit_la-gtkvumeter.lo
CC src/ui/edit/libbtedit_la-btmemoryaudiosrc.lo
CC src/ui/edit/libbtedit_la-marshal.lo
CCLD libbtedit.la
ar: `u' modifier ignored since `D' is the default (see `U')
CC src/gst/bml/libgstbmln_la-gstbml.lo
CC src/gst/bml/libgstbmln_la-gstbmlsrc.lo
CC src/gst/bml/libgstbmln_la-gstbmltransform.lo
CC src/gst/bml/libgstbmln_la-gstbmlv.lo
CCLD libgstbmln.la
ar: `u' modifier ignored since `D' is the default (see `U')
CXX src/lib/bml/BuzzMachineLoader/libbuzzmachineloader_la-BuzzMachineCallbacks.lo
CXX src/lib/bml/BuzzMachineLoader/libbuzzmachineloader_la-BuzzMachineCallbacksPre12.lo
CXX src/lib/bml/BuzzMachineLoader/libbuzzmachineloader_la-BuzzMachineLoader.lo
CXX src/lib/bml/BuzzMachineLoader/libbuzzmachineloader_la-MachineDataImpl.lo
CXX src/lib/bml/BuzzMachineLoader/libbuzzmachineloader_la-OscTable.lo
CXX src/lib/bml/BuzzMachineLoader/libbuzzmachineloader_la-mdkimp.lo
CXX src/lib/bml/BuzzMachineLoader/libbuzzmachineloader_la-debug.lo
CXXLD libbuzzmachineloader.la
CC src/gst/audio/libbuzztraxaudio_la-plugin.lo
CC src/gst/audio/libbuzztraxaudio_la-audiodelay.lo
CC src/gst/audio/libbuzztraxaudio_la-ebeats.lo
CC src/gst/audio/libbuzztraxaudio_la-simsyn.lo
CC src/gst/audio/libbuzztraxaudio_la-wavereplay.lo
CC src/gst/audio/libbuzztraxaudio_la-wavetabsyn.lo
CCLD libbuzztraxaudio.la
CC src/gst/dec/libbuzztraxdec_la-bt-dec.lo
CCLD libbuzztraxdec.la
CXX src/gst/sidsyn/libgstsidsyn_la-sidsyn.lo
CXX src/gst/sidsyn/libgstsidsyn_la-sidsynv.lo
CXX src/gst/sidsyn/libgstsidsyn_la-envelope.lo
CXX src/gst/sidsyn/libgstsidsyn_la-extfilt.lo
CXX src/gst/sidsyn/libgstsidsyn_la-filter.lo
CXX src/gst/sidsyn/libgstsidsyn_la-pot.lo
CXX src/gst/sidsyn/libgstsidsyn_la-sidemu.lo
CXX src/gst/sidsyn/libgstsidsyn_la-voice.lo
CXX src/gst/sidsyn/libgstsidsyn_la-wave.lo
CXX src/gst/sidsyn/libgstsidsyn_la-wave6581_PST.lo
CXX src/gst/sidsyn/libgstsidsyn_la-wave6581_PS_.lo
CXX src/gst/sidsyn/libgstsidsyn_la-wave6581_P_T.lo
CXX src/gst/sidsyn/libgstsidsyn_la-wave6581__ST.lo
CXX src/gst/sidsyn/libgstsidsyn_la-wave8580_PST.lo
CXX src/gst/sidsyn/libgstsidsyn_la-wave8580_PS_.lo
CXX src/gst/sidsyn/libgstsidsyn_la-wave8580_P_T.lo
CXX src/gst/sidsyn/libgstsidsyn_la-wave8580__ST.lo
CXXLD libgstsidsyn.la
CC src/gst/bml/libgstbml_la-plugin.lo
CC src/gst/bml/libgstbml_la-common.lo
CC libgstbml_la-tmp-orc.lo
CCLD libgstbml.la
CC src/gst/fluidsynth/libgstfluidsynth_la-fluidsynth.lo
CCLD libgstfluidsynth.la
CC src/lib/core/songio/bsl/libbtbsl_la-bsl.lo
CC src/lib/core/songio/bsl/libbtbsl_la-song-io-buzz.lo
CCLD libbtbsl.la
CC src/ui/cmd/bt-cmd.o
CCLD buzztrax-cmd
CC src/ui/edit/buzztrax_edit-bt-edit.o
CCLD buzztrax-edit
CC tests/lib/bml/bmltest_info-bmltest_info.o
CCLD bmltest_info
CC tests/lib/bml/bmltest_process-bmltest_process.o
CCLD bmltest_process
ITMRG buzztrax.appdata.xml
ITMRG src/lib/core/songio/bsl/buzztrax-songio-buzz.desktop
ITMRG src/ui/edit/buzztrax-edit.desktop
ITMRG src/lib/core/songio/bsl/buzztrax-songio-buzz.xml
GEN BuzztraxCore-1.1.typelib
GEN BuzztraxIc-1.1.typelib
make[3]: Entering directory '/home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/docs/reference/bt-core'
DOC Preparing build
DOC Scanning header files
DOC Introspecting gobjects
DOC Building XML
DOC Building XML
DOC Building HTML
Makefile:1170: recipe for target 'html-build.stamp' failed
make[3]: *** [html-build.stamp] Error 5
make[3]: Leaving directory '/home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/docs/reference/bt-core'
Makefile:8086: recipe for target 'docs-bt-core' failed
make[2]: *** [docs-bt-core] Error 2
make[2]: Leaving directory '/home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2'
Makefile:6971: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2'
Makefile:2709: recipe for target 'all' failed
make: *** [all] Error 2
==> ERROR:(B A failure occurred in build().(B
 Aborting...(B
# Makefile.in generated by automake 1.14.1 from Makefile.am.
# docs/reference/bt-core/Makefile. Generated from Makefile.in by configure.
# Copyright (C) 1994-2013 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
# -*- mode: makefile -*-
####################################
# Everything below here is generic #
####################################
am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
case $${target_option-} in \
?) ;; \
*) echo "am__make_running_with_option: internal error: invalid" \
"target option '$${target_option-}' specified" >&2; \
exit 1;; \
esac; \
has_opt=no; \
sane_makeflags=$$MAKEFLAGS; \
if $(am__is_gnu_make); then \
sane_makeflags=$$MFLAGS; \
else \
case $$MAKEFLAGS in \
*\\[\ \ ]*) \
bs=\\; \
sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
| sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
esac; \
fi; \
skip_next=no; \
strip_trailopt () \
{ \
flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
}; \
for flg in $$sane_makeflags; do \
test $$skip_next = yes && { skip_next=no; continue; }; \
case $$flg in \
*=*|--*) continue;; \
-*I) strip_trailopt 'I'; skip_next=yes;; \
-*I?*) strip_trailopt 'I';; \
-*O) strip_trailopt 'O'; skip_next=yes;; \
-*O?*) strip_trailopt 'O';; \
-*l) strip_trailopt 'l'; skip_next=yes;; \
-*l?*) strip_trailopt 'l';; \
-[dEDm]) skip_next=yes;; \
-[JT]) skip_next=yes;; \
esac; \
case $$flg in \
*$$target_option*) has_opt=yes; break;; \
esac; \
done; \
test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/buzztrax
pkgincludedir = $(includedir)/buzztrax
pkglibdir = $(libdir)/buzztrax
pkglibexecdir = $(libexecdir)/buzztrax
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
DIST_COMMON = $(top_srcdir)/gtk-doc.make $(srcdir)/Makefile.in \
$(srcdir)/Makefile.am $(top_srcdir)/mkinstalldirs \
$(srcdir)/buzztrax-core.types.in $(top_srcdir)/test-driver
subdir = docs/reference/bt-core
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/acx_pthread.m4 \
$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intltool.m4 \
$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/orc.m4 \
$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = buzztrax-core.types
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo " GEN " $@;
am__v_GEN_1 =
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 =
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
case $$AM_UPDATE_INFO_DIR in \
n|no|NO) false;; \
*) (install-info --version) >/dev/null 2>&1;; \
esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__tty_colors_dummy = \
mgn= red= grn= lgn= blu= brg= std=; \
am__color_tests=no
am__tty_colors = { \
$(am__tty_colors_dummy); \
if test "X$(AM_COLOR_TESTS)" = Xno; then \
am__color_tests=no; \
elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
am__color_tests=yes; \
elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
am__color_tests=yes; \
fi; \
if test $$am__color_tests = yes; then \
red=''; \
grn=''; \
lgn=''; \
blu=''; \
mgn=''; \
brg=''; \
std=''; \
fi; \
}
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
$(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
*) f=$$p;; \
esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
for p in $$list; do echo "$$p $$p"; done | \
sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
$(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
if (++n[$$2] == $(am__install_max)) \
{ print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
END { for (dir in files) print dir, files[dir] }'
am__base_list = \
sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
test -z "$$files" \
|| { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
|| { echo " ( cd '$$dir' && rm -f" $$files ")"; \
$(am__cd) "$$dir" && rm -f $$files; }; \
}
am__recheck_rx = ^[ ]*:recheck:[ ]*
am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
# A command that, given a newline-separated list of test names on the
# standard input, print the name of the tests that are to be re-run
# upon "make recheck".
am__list_recheck_tests = $(AWK) '{ \
recheck = 1; \
while ((rc = (getline line < ($$0 ".trs"))) != 0) \
{ \
if (rc < 0) \
{ \
if ((getline line2 < ($$0 ".log")) < 0) \
recheck = 0; \
break; \
} \
else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
{ \
recheck = 0; \
break; \
} \
else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
{ \
break; \
} \
}; \
if (recheck) \
print $$0; \
close ($$0 ".trs"); \
close ($$0 ".log"); \
}'
# A command that, given a newline-separated list of test names on the
# standard input, create the global log from their .trs and .log files.
am__create_global_log = $(AWK) ' \
function fatal(msg) \
{ \
print "fatal: making $@: " msg | "cat >&2"; \
exit 1; \
} \
function rst_section(header) \
{ \
print header; \
len = length(header); \
for (i = 1; i <= len; i = i + 1) \
printf "="; \
printf "\n\n"; \
} \
{ \
copy_in_global_log = 1; \
global_test_result = "RUN"; \
while ((rc = (getline line < ($$0 ".trs"))) != 0) \
{ \
if (rc < 0) \
fatal("failed to read from " $$0 ".trs"); \
if (line ~ /$(am__global_test_result_rx)/) \
{ \
sub("$(am__global_test_result_rx)", "", line); \
sub("[ ]*$$", "", line); \
global_test_result = line; \
} \
else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
copy_in_global_log = 0; \
}; \
if (copy_in_global_log) \
{ \
rst_section(global_test_result ": " $$0); \
while ((rc = (getline line < ($$0 ".log"))) != 0) \
{ \
if (rc < 0) \
fatal("failed to read from " $$0 ".log"); \
print line; \
}; \
printf "\n"; \
}; \
close ($$0 ".trs"); \
close ($$0 ".log"); \
}'
# Restructured Text title.
am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
# Solaris 10 'make', and several other traditional 'make' implementations,
# pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
# by disabling -e (using the XSI extension "set +e") if it's set.
am__sh_e_setup = case $$- in *e*) set +e;; esac
# Default flags passed to test drivers.
am__common_driver_flags = \
--color-tests "$$am__color_tests" \
--enable-hard-errors "$$am__enable_hard_errors" \
--expect-failure "$$am__expect_failure"
# To be inserted before the command running the test. Creates the
# directory for the log if needed. Stores in $dir the directory
# containing $f, in $tst the test, in $log the log. Executes the
# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
# passes TESTS_ENVIRONMENT. Set up options for the wrapper that
# will run the test scripts (or their associated LOG_COMPILER, if
# thy have one).
am__check_pre = \
$(am__sh_e_setup); \
$(am__vpath_adj_setup) $(am__vpath_adj) \
$(am__tty_colors); \
srcdir=$(srcdir); export srcdir; \
case "$@" in \
*/*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
*) am__odir=.;; \
esac; \
test "x$$am__odir" = x"." || test -d "$$am__odir" \
|| $(MKDIR_P) "$$am__odir" || exit $$?; \
if test -f "./$$f"; then dir=./; \
elif test -f "$$f"; then dir=; \
else dir="$(srcdir)/"; fi; \
tst=$$dir$$f; log='$@'; \
if test -n '$(DISABLE_HARD_ERRORS)'; then \
am__enable_hard_errors=no; \
else \
am__enable_hard_errors=yes; \
fi; \
case " $(XFAIL_TESTS) " in \
*[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
am__expect_failure=yes;; \
*) \
am__expect_failure=no;; \
esac; \
$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
# A shell command to get the names of the tests scripts with any registered
# extension removed (i.e., equivalently, the names of the test logs, with
# the '.log' extension removed). The result is saved in the shell variable
# '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
# since that might cause problem with VPATH rewrites for suffix-less tests.
# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
am__set_TESTS_bases = \
bases='$(TEST_LOGS)'; \
bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
bases=`echo $$bases`
RECHECK_LOGS = $(TEST_LOGS)
AM_RECURSIVE_TARGETS = check recheck
TEST_SUITE_LOG = test-suite.log
TEST_EXTENSIONS = .test
am__test_logs1 = $(TESTS:=.log)
am__test_logs2 = $(am__test_logs1:.log=.log)
TEST_LOGS = $(am__test_logs2:.test.log=.log)
TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
$(TEST_LOG_FLAGS)
am__set_b = \
case '$@' in \
*/*) \
case '$*' in \
*/*) b='$*';; \
*) b=`echo '$@' | sed 's/\.log$$//'`; \
esac;; \
*) \
b='$*';; \
esac
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = aclocal-1.14
ALL_LINGUAS =
ALSA_DEPS_CFLAGS = -I/usr/include/alsa
ALSA_DEPS_LIBS = -lasound
ALSA_DOC_SECTIONS =
ALSA_DOC_TYPES =
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
ARCH_CCASFLAGS =
ARCH_CFLAGS =
ASPELL = aspell
AUTOCONF = autoconf
AUTOHEADER = autoheader
AUTOMAKE = automake-1.14
AWK = gawk
BASE_DEPS_CFLAGS = -pthread -I/usr/include/libxml2 -I/usr/include/gstreamer-1.0 -I/usr/lib/gstreamer-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/alsa -I/usr/include/gudev-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libgsf-1 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2
BASE_DEPS_LIBS = -lgthread-2.0 -pthread -Wl,--export-dynamic -lgmodule-2.0 -pthread -lgio-2.0 -lxml2 -lgstcontroller-1.0 -lgstaudio-1.0 -lgstbase-1.0 -lgstfft-1.0 -lm -lgstreamer-1.0 -lgobject-2.0 -lglib-2.0 -lasound -lgudev-1.0 -lgobject-2.0 -lglib-2.0 -lgsf-1 -lgobject-2.0 -lglib-2.0 -lxml2
BMLHOST_CCASFLAGS =
BMLHOST_CFLAGS =
BML_CFLAGS =
BML_CXXFLAGS = -Wno-non-virtual-dtor
BML_LIBS = -ldl
BT_CFLAGS = -D__SSE__ -D__MMX__ -DGLIB_DISABLE_DEPRECATION_WARNINGS -DGDK_DISABLE_DEPRECATION_WARNINGS -DCLUTTER_DISABLE_DEPRECATION_WARNINGS
BT_DISABLE_DEPRECATED = -DGLIB_DISABLE_DEPRECATION_WARNINGS -DGDK_DISABLE_DEPRECATION_WARNINGS -DCLUTTER_DISABLE_DEPRECATION_WARNINGS
BT_INCLUDEDIR = -I${includedir}
BT_LDFLAGS = -Wl,-Bsymbolic-functions
BT_LIBDIR = -L${libdir}
BT_LIBS =
BT_MAJORMINOR = 1.1
BT_MAJOR_VERSION = 1
BT_MICRO_VERSION = 0
BT_MINOR_VERSION = 1
BT_RELEASE_DATE = 2016-04-25
BT_RELEASE_YEAR = 2016
BT_VERSION = 1.1.0
BT_VERSION_INFO = 2:0:1
CC = gcc
CCAS = gcc
CCASDEPMODE = depmode=gcc3
CCASFLAGS = -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong
CCDEPMODE = depmode=gcc3
CFLAGS = -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong
CHECK_CFLAGS =
CHECK_LIBS =
CPP = gcc -E
CPPFLAGS = -D_FORTIFY_SOURCE=2
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL =
DUMPBIN =
ECHO_C =
ECHO_N = -n
ECHO_T =
EGREP = /usr/bin/grep -E
EXEEXT =
FGREP = /usr/bin/grep -F
FLUIDSYNTH_CFLAGS =
FLUIDSYNTH_LIBS = -lfluidsynth
GETTEXT_PACKAGE = buzztrax-0.10.2
GIRDIR = /usr/share/gir-1.0
GLIB_COMPILE_SCHEMAS = glib-compile-schemas
GLIB_PREFIX = /usr
GMSGFMT = /usr/bin/msgfmt
GOBJECT_INTROSPECTION_CFLAGS = -pthread -I/usr/include/gobject-introspection-1.0 -I/usr/lib/libffi-3.2.1/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
GOBJECT_INTROSPECTION_LIBS = -lgirepository-1.0 -lgobject-2.0 -lglib-2.0
GREP = /usr/bin/grep
GSETTINGS_DISABLE_SCHEMAS_COMPILE =
GSF_DEPS_CFLAGS = -I/usr/include/libgsf-1 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2
GSF_DEPS_LIBS = -lgsf-1 -lgobject-2.0 -lglib-2.0 -lxml2
GST_MAJORMINOR = 1.0
GST_PLUGINS_DIR = /usr/lib/gstreamer-1.0
GST_PLUGIN_CFLAGS =
GST_PLUGIN_LDFLAGS = -module -avoid-version -export-symbols-regex '_*(gst_|bt_|Bt|BT_).*'
GST_PLUGIN_LIBS =
GST_PREFIX = /usr
GTKDOC_CHECK = gtkdoc-check.test
GTKDOC_CHECK_PATH = /usr/bin/gtkdoc-check
GTKDOC_DEPS_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
GTKDOC_DEPS_LIBS = -lgobject-2.0 -lglib-2.0
GTKDOC_MKPDF = /usr/bin/gtkdoc-mkpdf
GTKDOC_REBASE = /usr/bin/gtkdoc-rebase
GTK_PREFIX = /usr
GUDEV_DEPS_CFLAGS = -I/usr/include/gudev-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
GUDEV_DEPS_LIBS = -lgudev-1.0 -lgobject-2.0 -lglib-2.0
GUDEV_DOC_SECTIONS =
GUDEV_DOC_TYPES =
GUI_DEPS_CFLAGS = -pthread -I/usr/include/clutter-gtk-1.0 -I/usr/include/clutter-1.0 -I/usr/include/cogl -I/usr/include/json-glib-1.0 -I/usr/include/gtk-3.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/at-spi-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/gtk-3.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/harfbuzz -I/usr/include/libdrm -I/usr/include/libpng16 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng16 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
GUI_DEPS_LIBS = -lclutter-gtk-1.0 -lclutter-1.0 -lcogl-path -lcogl-pango -lcogl -lgmodule-2.0 -pthread -lwayland-egl -lgbm -ldrm -lEGL -lXrandr -ljson-glib-1.0 -lwayland-cursor -lwayland-client -lxkbcommon -lwayland-server -lX11 -lXext -lXdamage -lXfixes -lXcomposite -lXi -lgtk-3 -lgdk-3 -lpangocairo-1.0 -lpango-1.0 -latk-1.0 -lcairo-gobject -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lgobject-2.0 -lglib-2.0
G_IR_COMPILER = /usr/bin/g-ir-compiler
G_IR_GENERATE = /usr/bin/g-ir-generate
G_IR_SCANNER = /usr/bin/g-ir-scanner
HTML_DIR = ${datadir}/gtk-doc/html
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS =
INTLTOOL_EXTRACT = /usr/bin/intltool-extract
INTLTOOL_MERGE = /usr/bin/intltool-merge
INTLTOOL_PERL = /usr/bin/perl
INTLTOOL_UPDATE = /usr/bin/intltool-update
INTLTOOL_V_MERGE = $(INTLTOOL__v_MERGE_$(V))
INTLTOOL_V_MERGE_OPTIONS = $(intltool__v_merge_options_$(V))
INTLTOOL__v_MERGE_ = $(INTLTOOL__v_MERGE_$(AM_DEFAULT_VERBOSITY))
INTLTOOL__v_MERGE_0 = @echo " ITMRG " $@;
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = -Wl,-O1,--sort-common,--as-needed,-z,relro
LIBICONV = -liconv
LIBINTL =
LIBM = -lm
LIBOBJS =
LIBS = -lrt
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LINUX_INPUT_DOC_SECTIONS =
LINUX_INPUT_DOC_TYPES =
LIPO =
LN_S = ln -s
LTLIBICONV = -liconv
LTLIBINTL =
LTLIBOBJS =
MAKEINFO = makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
MKINSTALLDIRS = $(top_builddir)/./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = /usr/bin/nm -B
NMEDIT =
OBJDUMP = objdump
OBJEXT = o
ORCC = /usr/bin/orcc
ORCC_FLAGS = --compat 0.4.6
ORC_CFLAGS = -I/usr/include/orc-0.4
ORC_LIBS = -lorc-0.4
OTOOL =
OTOOL64 =
PACKAGE = buzztrax
PACKAGE_BUGREPORT = buzztrax-devel@buzztrax.org
PACKAGE_NAME = buzztrax
PACKAGE_ORIGIN =
PACKAGE_STRING = buzztrax 0.10.2
PACKAGE_TARNAME = buzztrax
PACKAGE_URL =
PACKAGE_VERSION = 0.10.2
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR =
PKG_CONFIG_PATH =
POSUB = po
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS =
RANLIB = ranlib
SCROLLKEEPER_BUILD_REQUIRED = 0.3.5
SED = /usr/bin/sed
SET_MAKE =
SHELL = /bin/sh
STRIP = strip
TYPELIBDIR = /usr/lib/girepository-1.0
UPDATE_DESKTOP_DATABASE = /usr/bin/update-desktop-database
UPDATE_ICON_CACHE =
UPDATE_MIME_DATABASE = /usr/bin/update-mime-database
USE_NLS = yes
VALGRIND = /usr
VERSION = 0.10.2
XFONT_PATH = /usr/share/fonts/misc/,/usr/share/fonts/TTF/,/usr/share/fonts/OTF/,/usr/share/fonts/Type1/,/usr/share/fonts/100dpi/,/usr/share/fonts/75dpi/,built-ins
XGETTEXT = /usr/bin/xgettext
XSLTPROC = /usr/bin/xsltproc
abs_builddir = /home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/docs/reference/bt-core
abs_srcdir = /home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/docs/reference/bt-core
abs_top_builddir = /home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2
abs_top_srcdir = /home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN =
acx_pthread_config =
am__include = include
am__leading_dot = .
am__quote =
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bcov_path = no
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias =
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
gsettingsschemadir = ${datarootdir}/glib-2.0/schemas
host = x86_64-unknown-linux-gnu
host_alias =
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/rffontenelle/aur/buzztrax/src/buzztrax-0.10.2/install-sh
intltool__v_merge_options_ = $(intltool__v_merge_options_$(AM_DEFAULT_VERBOSITY))
intltool__v_merge_options_0 = -q
lcov_path = no
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datadir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
plugindir = $(libdir)/gstreamer-1.0
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
scrollkeeper_config = /usr/bin/scrollkeeper-config
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = x86_64-unknown-linux-gnu
target_alias =
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
top_build_prefix = ../../../
top_builddir = ../../..
top_srcdir = ../../..
valgrind_path = /usr/bin
with_desktop_dir = /usr/share/
xvfb_path = /usr/bin/Xvfb
# We require automake 1.6 at least.
AUTOMAKE_OPTIONS = 1.6
# The name of the module, e.g. 'glib'.
DOC_MODULE = buzztrax-core
# The top-level SGML file. You can change this if you want to.
DOC_MAIN_SGML_FILE = $(DOC_MODULE)-docs.xml
# The directory containing the source code. Relative to $(srcdir).
# gtk-doc will search all .c & .h files beneath here for inline comments
# documenting the functions and macros.
DOC_SOURCE_DIR = $(top_srcdir)/src/lib/core
# Extra options to pass to gtkdoc-scangobj. Not normally needed.
SCANGOBJ_OPTIONS = --type-init-func="gst_init(&argc,&argv)"
# Extra options to supply to gtkdoc-scan.
# --rebuild-types requires gtk-doc 1.8
SCAN_OPTIONS = --deprecated-guards="BT_DISABLE_DEPRECATED"
# Extra options to supply to gtkdoc-mkdb.
MKDB_OPTIONS = --sgml-mode
# Extra options to supply to gtkdoc-fixref. Not normally needed.
FIXXREF_OPTIONS = --extra-dir=$(GLIB_PREFIX)/share/gtk-doc/html/ \
--extra-dir=$(GST_PREFIX)/share/gtk-doc/html/ \
--extra-dir=..
# Used for dependencies. The docs will be rebuilt if any of these change.
HFILE_GLOB = $(top_srcdir)/src/lib/core/*.h $(top_srcdir)/src/lib/core/songio/*/*.h
CFILE_GLOB = $(top_srcdir)/src/lib/core/*.c $(top_srcdir)/src/lib/core/songio/*/*.c
# Header files to ignore when scanning.
IGNORE_HFILES = core_private.h marshal.h version.h \
bsl.h song-io-buzz-private.h
# Images to copy into HTML directory.
HTML_IMAGES =
# Extra SGML files that are included by $(DOC_MAIN_SGML_FILE).
# e.g. content_files=running.sgml building.sgml changes-2.0.sgml
content_files =
# SGML files where gtk-doc abbrevations (#GtkWidget) are expanded
# These files must be listed here *and* in content_files
# e.g. expand_content_files=running.sgml
expand_content_files =
# CFLAGS and LDFLAGS for compiling gtkdoc-scangobj with your library.
# Only needed if you are using gtkdoc-scangobj to dynamically query widget
# signals and properties.
GTKDOC_CFLAGS = \
-I$(top_srcdir)/src/lib \
-I$(top_builddir) \
$(BASE_DEPS_CFLAGS) \
$(BT_CFLAGS)
GTKDOC_LIBS = \
$(top_builddir)/libbuzztrax-core.la \
$(top_builddir)/libbtbsl.la \
$(top_builddir)/libbuzztrax-ic.la \
$(BASE_DEPS_LIBS) \
$(BT_LIBS)
#GTKDOC_CC = $(CC) $(INCLUDES) $(GTKDOC_DEPS_CFLAGS) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
GTKDOC_CC = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(INCLUDES) $(GTKDOC_DEPS_CFLAGS) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
#GTKDOC_LD = $(CC) $(GTKDOC_DEPS_LIBS) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS)
GTKDOC_LD = $(LIBTOOL) --tag=CC --mode=link $(CC) $(GTKDOC_DEPS_LIBS) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS)
#GTKDOC_RUN =
GTKDOC_RUN = $(LIBTOOL) --mode=execute
# We set GPATH here; this gives us semantics for GNU make
# which are more like other make's VPATH, when it comes to
# whether a source that is a target of one rule is then
# searched for in VPATH/GPATH.
#
GPATH = $(srcdir)
TARGET_DIR = $(HTML_DIR)/$(DOC_MODULE)
SETUP_FILES = \
$(content_files) \
$(expand_content_files) \
$(DOC_MAIN_SGML_FILE) \
$(DOC_MODULE)-sections.txt \
$(DOC_MODULE)-overrides.txt
# include generic part
# Other files to distribute
# e.g. EXTRA_DIST += version.xml.in
EXTRA_DIST = $(HTML_IMAGES) $(SETUP_FILES) $(DOC_MODULE).types
DOC_STAMPS = setup-build.stamp scan-build.stamp sgml-build.stamp \
html-build.stamp pdf-build.stamp \
sgml.stamp html.stamp pdf.stamp
SCANOBJ_FILES = \
$(DOC_MODULE).args \
$(DOC_MODULE).hierarchy \
$(DOC_MODULE).interfaces \
$(DOC_MODULE).prerequisites \
$(DOC_MODULE).signals
REPORT_FILES = \
$(DOC_MODULE)-undocumented.txt \
$(DOC_MODULE)-undeclared.txt \
$(DOC_MODULE)-unused.txt
CLEANFILES = $(SCANOBJ_FILES) $(REPORT_FILES) $(DOC_STAMPS) gtkdoc-check.test
#HTML_BUILD_STAMP =
HTML_BUILD_STAMP = html-build.stamp
PDF_BUILD_STAMP =
#PDF_BUILD_STAMP = pdf-build.stamp
#### setup ####
GTK_DOC_V_SETUP = $(GTK_DOC_V_SETUP_$(V))
GTK_DOC_V_SETUP_ = $(GTK_DOC_V_SETUP_$(AM_DEFAULT_VERBOSITY))
GTK_DOC_V_SETUP_0 = @echo " DOC Preparing build";
#### scan ####
GTK_DOC_V_SCAN = $(GTK_DOC_V_SCAN_$(V))
GTK_DOC_V_SCAN_ = $(GTK_DOC_V_SCAN_$(AM_DEFAULT_VERBOSITY))
GTK_DOC_V_SCAN_0 = @echo " DOC Scanning header files";
GTK_DOC_V_INTROSPECT = $(GTK_DOC_V_INTROSPECT_$(V))
GTK_DOC_V_INTROSPECT_ = $(GTK_DOC_V_INTROSPECT_$(AM_DEFAULT_VERBOSITY))
GTK_DOC_V_INTROSPECT_0 = @echo " DOC Introspecting gobjects";
#### xml ####
GTK_DOC_V_XML = $(GTK_DOC_V_XML_$(V))
GTK_DOC_V_XML_ = $(GTK_DOC_V_XML_$(AM_DEFAULT_VERBOSITY))
GTK_DOC_V_XML_0 = @echo " DOC Building XML";
#### html ####
GTK_DOC_V_HTML = $(GTK_DOC_V_HTML_$(V))
GTK_DOC_V_HTML_ = $(GTK_DOC_V_HTML_$(AM_DEFAULT_VERBOSITY))
GTK_DOC_V_HTML_0 = @echo " DOC Building HTML";
GTK_DOC_V_XREF = $(GTK_DOC_V_XREF_$(V))
GTK_DOC_V_XREF_ = $(GTK_DOC_V_XREF_$(AM_DEFAULT_VERBOSITY))
GTK_DOC_V_XREF_0 = @echo " DOC Fixing cross-references";
#### pdf ####
GTK_DOC_V_PDF = $(GTK_DOC_V_PDF_$(V))
GTK_DOC_V_PDF_ = $(GTK_DOC_V_PDF_$(AM_DEFAULT_VERBOSITY))
GTK_DOC_V_PDF_0 = @echo " DOC Building PDF";
# Comment this out if you want your docs-status tested during 'make check'
TESTS_ENVIRONMENT = \
DOC_MODULE=$(DOC_MODULE) DOC_MAIN_SGML_FILE=$(DOC_MAIN_SGML_FILE) \
SRCDIR=$(abs_srcdir) BUILDDIR=$(abs_builddir)
TESTS = $(GTKDOC_CHECK)
all: all-am
.SUFFIXES:
.SUFFIXES: .log .test .test$(EXEEXT) .trs
$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(top_srcdir)/gtk-doc.make $(am__configure_deps)
@for dep in $?; do \
case '$(am__configure_deps)' in \
*$$dep*) \
( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
&& { if test -f $@; then exit 0; else break; fi; }; \
exit 1;; \
esac; \
done; \
echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign docs/reference/bt-core/Makefile'; \
$(am__cd) $(top_srcdir) && \
$(AUTOMAKE) --foreign docs/reference/bt-core/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@case '$?' in \
*config.status*) \
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
*) \
echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
esac;
$(top_srcdir)/gtk-doc.make:
$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(top_srcdir)/configure: $(am__configure_deps)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): $(am__aclocal_m4_deps)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
buzztrax-core.types: $(top_builddir)/config.status $(srcdir)/buzztrax-core.types.in
cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
mostlyclean-libtool:
-rm -f *.lo
clean-libtool:
-rm -rf .libs _libs
tags TAGS:
ctags CTAGS:
cscope cscopelist:
# Recover from deleted '.trs' file; this should ensure that
# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
# both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
# to avoid problems with "make -n".
.log.trs:
rm -f $< $@
$(MAKE) $(AM_MAKEFLAGS) $<
# Leading 'am--fnord' is there to ensure the list of targets does not
# expand to empty, as could happen e.g. with make check TESTS=''.
am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
am--force-recheck:
@:
$(TEST_SUITE_LOG): $(TEST_LOGS)
@$(am__set_TESTS_bases); \
am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
redo_bases=`for i in $$bases; do \
am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
done`; \
if test -n "$$redo_bases"; then \
redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
if $(am__make_dryrun); then :; else \
rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
fi; \
fi; \
if test -n "$$am__remaking_logs"; then \
echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
"recursion detected" >&2; \
else \
am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
fi; \
if $(am__make_dryrun); then :; else \
st=0; \
errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
for i in $$redo_bases; do \
test -f $$i.trs && test -r $$i.trs \
|| { echo "$$errmsg $$i.trs" >&2; st=1; }; \
test -f $$i.log && test -r $$i.log \
|| { echo "$$errmsg $$i.log" >&2; st=1; }; \
done; \
test $$st -eq 0 || exit 1; \
fi
@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
ws='[ ]'; \
results=`for b in $$bases; do echo $$b.trs; done`; \
test -n "$$results" || results=/dev/null; \
all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
if test `expr $$fail + $$xpass + $$error` -eq 0; then \
success=true; \
else \
success=false; \
fi; \
br='==================='; br=$$br$$br$$br$$br; \
result_count () \
{ \
if test x"$$1" = x"--maybe-color"; then \
maybe_colorize=yes; \
elif test x"$$1" = x"--no-color"; then \
maybe_colorize=no; \
else \
echo "$@: invalid 'result_count' usage" >&2; exit 4; \
fi; \
shift; \
desc=$$1 count=$$2; \
if test $$maybe_colorize = yes && test $$count -gt 0; then \
color_start=$$3 color_end=$$std; \
else \
color_start= color_end=; \
fi; \
echo "$${color_start}# $$desc $$count$${color_end}"; \
}; \
create_testsuite_report () \
{ \
result_count $$1 "TOTAL:" $$all "$$brg"; \
result_count $$1 "PASS: " $$pass "$$grn"; \
result_count $$1 "SKIP: " $$skip "$$blu"; \
result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
result_count $$1 "FAIL: " $$fail "$$red"; \
result_count $$1 "XPASS:" $$xpass "$$red"; \
result_count $$1 "ERROR:" $$error "$$mgn"; \
}; \
{ \
echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
$(am__rst_title); \
create_testsuite_report --no-color; \
echo; \
echo ".. contents:: :depth: 2"; \
echo; \
for b in $$bases; do echo $$b; done \
| $(am__create_global_log); \
} >$(TEST_SUITE_LOG).tmp || exit 1; \
mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
if $$success; then \
col="$$grn"; \
else \
col="$$red"; \
test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
fi; \
echo "$${col}$$br$${std}"; \
echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
echo "$${col}$$br$${std}"; \
create_testsuite_report --maybe-color; \
echo "$$col$$br$$std"; \
if $$success; then :; else \
echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
if test -n "$(PACKAGE_BUGREPORT)"; then \
echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
fi; \
echo "$$col$$br$$std"; \
fi; \
$$success || exit 1
check-TESTS:
@list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
@set +e; $(am__set_TESTS_bases); \
log_list=`for i in $$bases; do echo $$i.log; done`; \
trs_list=`for i in $$bases; do echo $$i.trs; done`; \
log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
exit $$?;
recheck: all
@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
@set +e; $(am__set_TESTS_bases); \
bases=`for i in $$bases; do echo $$i; done \
| $(am__list_recheck_tests)` || exit 1; \
log_list=`for i in $$bases; do echo $$i.log; done`; \
log_list=`echo $$log_list`; \
$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
am__force_recheck=am--force-recheck \
TEST_LOGS="$$log_list"; \
exit $$?
.test.log:
@p='$<'; \
$(am__set_b); \
$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
--log-file $$b.log --trs-file $$b.trs \
$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
"$$tst" $(AM_TESTS_FD_REDIRECT)
#.test$(EXEEXT).log:
# @p='$<'; \
# $(am__set_b); \
# $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
# --log-file $$b.log --trs-file $$b.trs \
# $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
# "$$tst" $(AM_TESTS_FD_REDIRECT)
distdir: $(DISTFILES)
@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
list='$(DISTFILES)'; \
dist_files=`for file in $$list; do echo $$file; done | \
sed -e "s|^$$srcdirstrip/||;t" \
-e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
case $$dist_files in \
*/*) $(MKDIR_P) `echo "$$dist_files" | \
sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
sort -u` ;; \
esac; \
for file in $$dist_files; do \
if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
if test -d $$d/$$file; then \
dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
if test -d "$(distdir)/$$file"; then \
find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
fi; \
if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
fi; \
cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
else \
test -f "$(distdir)/$$file" \
|| cp -p $$d/$$file "$(distdir)/$$file" \
|| exit 1; \
fi; \
done
$(MAKE) $(AM_MAKEFLAGS) \
top_distdir="$(top_distdir)" distdir="$(distdir)" \
dist-hook
check-am: all-am
$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
#all-local:
all-am: Makefile all-local
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am
install-am: all-am
@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
installcheck: installcheck-am
install-strip:
if test -z '$(STRIP)'; then \
$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
install; \
else \
$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
"INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
fi
mostlyclean-generic:
-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
clean-generic:
-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
distclean-generic:
-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
maintainer-clean-generic:
@echo "This command is intended for maintainers to use"
@echo "it deletes files that may require special tools to rebuild."
clean: clean-am
clean-am: clean-generic clean-libtool clean-local mostlyclean-am
distclean: distclean-am
-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-local
dvi: dvi-am
dvi-am:
html: html-am
html-am:
info: info-am
info-am:
install-data-am: install-data-local
install-dvi: install-dvi-am
install-dvi-am:
install-exec-am:
install-html: install-html-am
install-html-am:
install-info: install-info-am
install-info-am:
install-man:
install-pdf: install-pdf-am
install-pdf-am:
install-ps: install-ps-am
install-ps-am:
installcheck-am:
maintainer-clean: maintainer-clean-am
-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic \
maintainer-clean-local
mostlyclean: mostlyclean-am
mostlyclean-am: mostlyclean-generic mostlyclean-libtool
pdf: pdf-am
pdf-am:
ps: ps-am
ps-am:
uninstall-am: uninstall-local
.MAKE: check-am install-am install-strip
.PHONY: all all-am all-local check check-TESTS check-am clean \
clean-generic clean-libtool clean-local cscopelist-am ctags-am \
dist-hook distclean distclean-generic distclean-libtool \
distclean-local distdir dvi dvi-am html html-am info info-am \
install install-am install-data install-data-am \
install-data-local install-dvi install-dvi-am install-exec \
install-exec-am install-html install-html-am install-info \
install-info-am install-man install-pdf install-pdf-am \
install-ps install-ps-am install-strip installcheck \
installcheck-am installdirs maintainer-clean \
maintainer-clean-generic maintainer-clean-local mostlyclean \
mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
recheck tags-am uninstall uninstall-am uninstall-local
gtkdoc-check.test: Makefile
$(AM_V_GEN)echo "#!/bin/sh -e" > $@; \
echo "$(GTKDOC_CHECK_PATH) || exit 1" >> $@; \
chmod +x $@
all-gtk-doc: $(HTML_BUILD_STAMP) $(PDF_BUILD_STAMP)
.PHONY: all-gtk-doc
all-local: all-gtk-doc
docs: $(HTML_BUILD_STAMP) $(PDF_BUILD_STAMP)
$(REPORT_FILES): sgml-build.stamp
setup-build.stamp:
-$(GTK_DOC_V_SETUP)if test "$(abs_srcdir)" != "$(abs_builddir)" ; then \
files=`echo $(SETUP_FILES) $(DOC_MODULE).types`; \
if test "x$$files" != "x" ; then \
for file in $$files ; do \
destdir=`dirname $(abs_builddir)/$$file`; \
test -d "$$destdir" || mkdir -p "$$destdir"; \
test -f $(abs_srcdir)/$$file && \
cp -pf $(abs_srcdir)/$$file $(abs_builddir)/$$file || true; \
done; \
fi; \
fi
$(AM_V_at)touch setup-build.stamp
scan-build.stamp: setup-build.stamp $(HFILE_GLOB) $(CFILE_GLOB)
$(GTK_DOC_V_SCAN)_source_dir='' ; \
for i in $(DOC_SOURCE_DIR) ; do \
_source_dir="$${_source_dir} --source-dir=$$i" ; \
done ; \
gtkdoc-scan --module=$(DOC_MODULE) --ignore-headers="$(IGNORE_HFILES)" $${_source_dir} $(SCAN_OPTIONS) $(EXTRA_HFILES)
$(GTK_DOC_V_INTROSPECT)if grep -l '^..*$$' $(DOC_MODULE).types > /dev/null 2>&1 ; then \
scanobj_options=""; \
gtkdoc-scangobj 2>&1 --help | grep >/dev/null "\-\-verbose"; \
if test "$$?" = "0"; then \
if test "x$(V)" = "x1"; then \
scanobj_options="--verbose"; \
fi; \
fi; \
CC="$(GTKDOC_CC)" LD="$(GTKDOC_LD)" RUN="$(GTKDOC_RUN)" CFLAGS="$(GTKDOC_CFLAGS) $(CFLAGS)" LDFLAGS="$(GTKDOC_LIBS) $(LDFLAGS)" \
gtkdoc-scangobj $(SCANGOBJ_OPTIONS) $$scanobj_options --module=$(DOC_MODULE); \
else \
for i in $(SCANOBJ_FILES) ; do \
test -f $$i || touch $$i ; \
done \
fi
$(AM_V_at)touch scan-build.stamp
$(DOC_MODULE)-decl.txt $(SCANOBJ_FILES) $(DOC_MODULE)-sections.txt $(DOC_MODULE)-overrides.txt: scan-build.stamp
@true
sgml-build.stamp: setup-build.stamp $(DOC_MODULE)-decl.txt $(SCANOBJ_FILES) $(HFILE_GLOB) $(CFILE_GLOB) $(DOC_MODULE)-sections.txt $(DOC_MODULE)-overrides.txt $(expand_content_files) xml/gtkdocentities.ent
$(GTK_DOC_V_XML)_source_dir='' ; \
for i in $(DOC_SOURCE_DIR) ; do \
_source_dir="$${_source_dir} --source-dir=$$i" ; \
done ; \
gtkdoc-mkdb --module=$(DOC_MODULE) --output-format=xml --expand-content-files="$(expand_content_files)" --main-sgml-file=$(DOC_MAIN_SGML_FILE) $${_source_dir} $(MKDB_OPTIONS)
$(AM_V_at)touch sgml-build.stamp
sgml.stamp: sgml-build.stamp
@true
xml/gtkdocentities.ent: Makefile
$(GTK_DOC_V_XML)$(MKDIR_P) $(@D) && ( \
echo "<!ENTITY package \"$(PACKAGE)\">"; \
echo "<!ENTITY package_bugreport \"$(PACKAGE_BUGREPORT)\">"; \
echo "<!ENTITY package_name \"$(PACKAGE_NAME)\">"; \
echo "<!ENTITY package_string \"$(PACKAGE_STRING)\">"; \
echo "<!ENTITY package_tarname \"$(PACKAGE_TARNAME)\">"; \
echo "<!ENTITY package_url \"$(PACKAGE_URL)\">"; \
echo "<!ENTITY package_version \"$(PACKAGE_VERSION)\">"; \
) > $@
html-build.stamp: sgml.stamp $(DOC_MAIN_SGML_FILE) $(content_files) $(expand_content_files)
$(GTK_DOC_V_HTML)rm -rf html && mkdir html && \
mkhtml_options=""; \
gtkdoc-mkhtml 2>&1 --help | grep >/dev/null "\-\-verbose"; \
if test "$$?" = "0"; then \
if test "x$(V)" = "x1"; then \
mkhtml_options="$$mkhtml_options --verbose"; \
fi; \
fi; \
gtkdoc-mkhtml 2>&1 --help | grep >/dev/null "\-\-path"; \
if test "$$?" = "0"; then \
mkhtml_options="$$mkhtml_options --path=\"$(abs_srcdir)\""; \
fi; \
cd html && gtkdoc-mkhtml $$mkhtml_options $(MKHTML_OPTIONS) $(DOC_MODULE) ../$(DOC_MAIN_SGML_FILE)
-@test "x$(HTML_IMAGES)" = "x" || \
for file in $(HTML_IMAGES) ; do \
if test -f $(abs_srcdir)/$$file ; then \
cp $(abs_srcdir)/$$file $(abs_builddir)/html; \
fi; \
if test -f $(abs_builddir)/$$file ; then \
cp $(abs_builddir)/$$file $(abs_builddir)/html; \
fi; \
done;
$(GTK_DOC_V_XREF)gtkdoc-fixxref --module=$(DOC_MODULE) --module-dir=html --html-dir=$(HTML_DIR) $(FIXXREF_OPTIONS)
$(AM_V_at)touch html-build.stamp
pdf-build.stamp: sgml.stamp $(DOC_MAIN_SGML_FILE) $(content_files) $(expand_content_files)
$(GTK_DOC_V_PDF)rm -f $(DOC_MODULE).pdf && \
mkpdf_options=""; \
gtkdoc-mkpdf 2>&1 --help | grep >/dev/null "\-\-verbose"; \
if test "$$?" = "0"; then \
if test "x$(V)" = "x1"; then \
mkpdf_options="$$mkpdf_options --verbose"; \
fi; \
fi; \
if test "x$(HTML_IMAGES)" != "x"; then \
for img in $(HTML_IMAGES); do \
part=`dirname $$img`; \
echo $$mkpdf_options | grep >/dev/null "\-\-imgdir=$$part "; \
if test $$? != 0; then \
mkpdf_options="$$mkpdf_options --imgdir=$$part"; \
fi; \
done; \
fi; \
gtkdoc-mkpdf --path="$(abs_srcdir)" $$mkpdf_options $(DOC_MODULE) $(DOC_MAIN_SGML_FILE) $(MKPDF_OPTIONS)
$(AM_V_at)touch pdf-build.stamp
##############
clean-local:
@rm -f *~ *.bak
@rm -rf .libs
@if echo $(SCAN_OPTIONS) | grep -q "\-\-rebuild-types" ; then \
rm -f $(DOC_MODULE).types; \
fi
@if echo $(SCAN_OPTIONS) | grep -q "\-\-rebuild-sections" ; then \
rm -f $(DOC_MODULE)-sections.txt; \
fi
distclean-local:
@rm -rf xml html $(REPORT_FILES) $(DOC_MODULE).pdf \
$(DOC_MODULE)-decl-list.txt $(DOC_MODULE)-decl.txt
@if test "$(abs_srcdir)" != "$(abs_builddir)" ; then \
rm -f $(SETUP_FILES) $(DOC_MODULE).types; \
fi
maintainer-clean-local:
@rm -rf xml html
install-data-local:
@installfiles=`echo $(builddir)/html/*`; \
if test "$$installfiles" = '$(builddir)/html/*'; \
then echo 1>&2 'Nothing to install' ; \
else \
if test -n "$(DOC_MODULE_VERSION)"; then \
installdir="$(DESTDIR)$(TARGET_DIR)-$(DOC_MODULE_VERSION)"; \
else \
installdir="$(DESTDIR)$(TARGET_DIR)"; \
fi; \
$(mkinstalldirs) $${installdir} ; \
for i in $$installfiles; do \
echo ' $(INSTALL_DATA) '$$i ; \
$(INSTALL_DATA) $$i $${installdir}; \
done; \
if test -n "$(DOC_MODULE_VERSION)"; then \
mv -f $${installdir}/$(DOC_MODULE).devhelp2 \
$${installdir}/$(DOC_MODULE)-$(DOC_MODULE_VERSION).devhelp2; \
fi; \
$(GTKDOC_REBASE) --relative --dest-dir=$(DESTDIR) --html-dir=$${installdir}; \
fi
uninstall-local:
@if test -n "$(DOC_MODULE_VERSION)"; then \
installdir="$(DESTDIR)$(TARGET_DIR)-$(DOC_MODULE_VERSION)"; \
else \
installdir="$(DESTDIR)$(TARGET_DIR)"; \
fi; \
rm -rf $${installdir}
#
# Require gtk-doc when making dist
#
dist-check-gtkdoc: docs
#dist-check-gtkdoc:
# @echo "*** gtk-doc is needed to run 'make dist'. ***"
# @echo "*** gtk-doc was not found when 'configure' ran. ***"
# @echo "*** please install gtk-doc and rerun 'configure'. ***"
# @false
dist-hook: dist-check-gtkdoc all-gtk-doc dist-hook-local
@mkdir $(distdir)/html
@cp ./html/* $(distdir)/html
@-cp ./$(DOC_MODULE).pdf $(distdir)/
@-cp ./$(DOC_MODULE).types $(distdir)/
@-cp ./$(DOC_MODULE)-sections.txt $(distdir)/
@cd $(distdir) && rm -f $(DISTCLEANFILES)
@$(GTKDOC_REBASE) --online --relative --html-dir=$(distdir)/html
.PHONY : dist-hook-local docs
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment